<template>
  <div class="row no-gutters">
    <div class="col-auto">
      <nuxt-link :to="$auth.options.redirect.home">
        <b-icon name="home"></b-icon>
      </nuxt-link>
    </div>
    <div
      v-for="item in breadcrumbs"
      :key="item.path"
      class="col-auto d-flex items-center"
    >
      <b-icon class="mx-1x" name="chevron-right" size="12"></b-icon>
      <nuxt-link :to="item.path" class="text-sm text-semibold c-grey-7">
        <span>{{ item.title }}</span>
      </nuxt-link>
    </div>
  </div>
</template>

<script>
export default {
  name: 'AppBreadcrumb',
  computed: {
    breadcrumbs() {
      const excludedURLs = [
        this.$auth.options.redirect.home,
        this.$auth.options.redirect.home + '/',
        this.$route.path,
        this.$route.path + '/',
        '/' +
          this.$route.path
            .split('/')
            .filter((item) => item.length > 0)
            .join('/'),
      ]

      return this.$route.matched
        .map((item) => {
          const { path, components } = item
          const options = components.default.extendOptions
          const title = options?.meta?.breadcrumb || ''
          return {
            path,
            title,
          }
        })
        .filter(
          (item) => !excludedURLs.includes(item.path) && item.title !== ''
        )
    },
  },
}
</script>
